#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x33b78f81, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x0c0e4d29, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x20eb073a, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x6486dd0c, "pci_cfg_access_unlock" },
	{ 0xad334b92, "pci_enable_device" },
	{ 0xda85d6bb, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe24bbbc, "pci_alloc_irq_vectors" },
	{ 0x7874ea1d, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x8a079a5d, "dma_unmap_page_attrs" },
	{ 0xf475a599, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc13b2a46, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e617323, "page_pool_destroy" },
	{ 0x67fd220b, "pci_irq_vector" },
	{ 0xb574d015, "__netif_napi_del" },
	{ 0x4f006471, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0xfe0114a2, "pci_unregister_driver" },
	{ 0x12d798ad, "pci_cfg_access_lock" },
	{ 0x4cd6cc0f, "mlxsw_core_bus_device_register" },
	{ 0xa19b3ff9, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xb30ad7df, "dma_map_page_attrs" },
	{ 0x723e5e7e, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xff2a5b24, "__napi_schedule" },
	{ 0x7f03c31d, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x51e3c84c, "__pci_reset_function_locked" },
	{ 0xdd8a4228, "__dma_sync_single_for_cpu" },
	{ 0xd9643b20, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0xccd46be0, "dma_alloc_attrs" },
	{ 0x14d5017e, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7e16e410, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa681374e, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9582f03a, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfbc82781, "pci_restore_state" },
	{ 0xf36bff4e, "page_pool_create" },
	{ 0x9baf4152, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5e67f775, "pci_set_master" },
	{ 0x234e6e3f, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xaa906acd, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x9d33b46a, "alloc_netdev_dummy" },
	{ 0xb28e6b50, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x72ab99ef, "pci_release_regions" },
	{ 0x6b63d788, "page_pool_alloc_pages" },
	{ 0xf800add3, "napi_build_skb" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa0253a13, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd1587542, "dma_set_mask" },
	{ 0xa1f4556c, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x82af59cd, "napi_schedule_prep" },
	{ 0x6345e57c, "napi_consume_skb" },
	{ 0x3773bad6, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x184b0e78, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "A619F07FE4E4D4D303F8CD3");
MODULE_INFO(rhelversion, "9.99");
