#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x24c63bbd, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x19d3f58a, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xc82fa698, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x801f09cd, "rtnl_link_register" },
	{ 0xc00e6b3b, "genl_register_family" },
	{ 0x87e27809, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe10c2a88, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x57b7bd82, "crypto_alloc_aead" },
	{ 0x8f5aab2f, "crypto_aead_setkey" },
	{ 0xd8fe3bf2, "crypto_aead_setauthsize" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x4eb8d2ca, "skb_pull" },
	{ 0x57e80854, "___pskb_trim" },
	{ 0xe873635d, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x3cfd993f, "dev_mc_sync" },
	{ 0x3c6bcb00, "dev_uc_sync" },
	{ 0x9159b92e, "dev_set_allmulti" },
	{ 0xe0599f95, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6fcf5a82, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xcf7f37ad, "__dev_get_by_index" },
	{ 0x121bb190, "skb_clone" },
	{ 0x4c4c9ac7, "__netif_rx" },
	{ 0xe67865e8, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0xc45b6f21, "metadata_dst_alloc" },
	{ 0xb4aa2817, "register_netdevice" },
	{ 0x67a7d290, "netdev_upper_dev_link" },
	{ 0x73212c8c, "netdev_upper_dev_unlink" },
	{ 0xc71ec0c4, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4472080f, "netif_stacked_transfer_operstate" },
	{ 0x2833340e, "linkwatch_fire_event" },
	{ 0x5206dc6b, "netdev_rx_handler_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf4120dab, "dst_release" },
	{ 0x232b648a, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43caa945, "dev_addr_mod" },
	{ 0xaf42a3f5, "netif_inherit_tso_max" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x150f2893, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x55a0cc0, "eth_type_trans" },
	{ 0x3131b0bb, "gro_cells_receive" },
	{ 0x71812a22, "skb_trim" },
	{ 0x8d0cb0f, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x693379d0, "skb_to_sgvec" },
	{ 0x5af66dd3, "crypto_aead_decrypt" },
	{ 0xc8540933, "consume_skb" },
	{ 0x7021f1d2, "skb_copy" },
	{ 0x685c7030, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x234e6e3f, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x94dca471, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb11973a2, "netdev_update_features" },
	{ 0x3ef67df3, "dev_set_mtu" },
	{ 0x62a76d8f, "netif_carrier_off" },
	{ 0xc14375b5, "dev_mc_unsync" },
	{ 0x1cf86fc7, "dev_uc_unsync" },
	{ 0xa1ed903b, "dev_uc_del" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xce24b4c8, "dev_uc_add" },
	{ 0x63f1bdc1, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xda85d6bb, "skb_put" },
	{ 0xcf041819, "crypto_aead_encrypt" },
	{ 0xe1d73bd4, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfa1f4d24, "genlmsg_put" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87960968F17E132916D3E4D");
MODULE_INFO(rhelversion, "9.99");
