#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xe633e286, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xfcfb37be, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xf7d64f21, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xa4a8c14a, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x8354dc08, "");
SYMBOL_CRC(sas_resume_ha, 0x07118b0a, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x1b827bd2, "");
SYMBOL_CRC(sas_suspend_ha, 0x34e5a3fb, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x9ea3bc09, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xa51eb3e5, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xbfeba27e, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x4725c1e4, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x57d1325b, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xfdbda573, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x915199a5, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x08994b68, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xbd8d32f1, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x1bc9778a, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x13a60e88, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xba18ba48, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x5b8af90c, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xa1eb2a5f, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x5fdfc95c, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x08326489, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x25bdc153, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xb7d02854, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x17879060, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xdaf86c1c, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xd15c47c1, "_gpl");
SYMBOL_CRC(sas_query_task, 0xb09b5965, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x48fe0535, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x0e60c5ba, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xf196fd1d, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x68ab440c, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xe245f7c9, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xa59de478, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe5dd701, "sas_rphy_remove" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa20f937, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xeb35e09b, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa2f9a009, "scsi_schedule_eh" },
	{ 0xa92f1f1d, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x86b1f9ba, "sas_port_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x299e48b4, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x87f024ce, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x73e7c939, "get_device" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x93b07302, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x802c410a, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x6856a89c, "_dev_info" },
	{ 0x67a6bd9f, "sas_phy_free" },
	{ 0xa6b6a43d, "scsi_eh_finish_cmd" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb85d5e7a, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xae5219ae, "sas_port_mark_backlink" },
	{ 0x15d86205, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9fbb3750, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7aab9297, "sas_read_port_mode_page" },
	{ 0xfd1f4840, "sas_expander_alloc" },
	{ 0xc03435d1, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8570c18f, "sas_rphy_delete" },
	{ 0xf4faf852, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x7b1424c2, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9ca66be, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x334d39bf, "__kmem_cache_create_args" },
	{ 0x6230b4bb, "scsi_host_busy" },
	{ 0x64cf3c66, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe1d3b591, "sas_rphy_add" },
	{ 0x5f737976, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaf8202a8, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x228b728f, "sas_port_add_phy" },
	{ 0xfb4c93dd, "blk_mq_tagset_busy_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x226703eb, "scsi_done" },
	{ 0x5d0a96af, "scsi_unblock_requests" },
	{ 0x583cd1e0, "sas_phy_add" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0x7ecf5789, "sas_port_free" },
	{ 0x957c591a, "scsi_block_requests" },
	{ 0x90a9fd15, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0x211a9346, "sas_remove_children" },
	{ 0x69a35c90, "scsi_change_queue_depth" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x64b5bc49, "kmem_cache_destroy" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "F99BAF5465DB39FCB5FCA5B");
MODULE_INFO(rhelversion, "9.99");
