#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x16b4e203, "");
SYMBOL_CRC(netfs_read_folio, 0xb8b084de, "");
SYMBOL_CRC(netfs_write_begin, 0x780eebe5, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x8fc0519a, "");
SYMBOL_CRC(netfs_file_read_iter, 0xe1760534, "");
SYMBOL_CRC(netfs_perform_write, 0xa7df19ee, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x5aceb6b9, "");
SYMBOL_CRC(netfs_file_write_iter, 0xae476b90, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x2e15f252, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x8d98d6d3, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x74ea51b5, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x8d537be0, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x346d4472, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x18b051a2, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x3717a80b, "");
SYMBOL_CRC(netfs_start_io_read, 0x1b07c8ff, "");
SYMBOL_CRC(netfs_end_io_read, 0xf3c1553d, "");
SYMBOL_CRC(netfs_start_io_write, 0xc0e73474, "");
SYMBOL_CRC(netfs_end_io_write, 0xb5655175, "");
SYMBOL_CRC(netfs_start_io_direct, 0x47b3bdc8, "");
SYMBOL_CRC(netfs_end_io_direct, 0x30c10f3b, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x5882c76c, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xd425d847, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0xf3e3a63a, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xd77a415a, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xcb27f61e, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xdf13eb14, "");
SYMBOL_CRC(netfs_release_folio, 0x6ca85643, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x1d083373, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x198a8344, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x50b9b4e5, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xe0fc1d84, "");
SYMBOL_CRC(netfs_writepages, 0x30d81bff, "");
SYMBOL_CRC(netfs_stats_show, 0xa4f687d3, "");
SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0x0acb52ca, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x7f1409d7, "");
SYMBOL_CRC(fscache_add_cache, 0x27154fea, "");
SYMBOL_CRC(fscache_io_error, 0xdd572042, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x11a21789, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x124ac35a, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x70a360bf, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x768c4866, "");
SYMBOL_CRC(fscache_caching_failed, 0xc92c2df5, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xb7a99472, "");
SYMBOL_CRC(__fscache_use_cookie, 0xfd5c1c78, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xe143b480, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x1c8822e8, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x1ad42aad, "");
SYMBOL_CRC(fscache_put_cookie, 0xd2b15e18, "");
SYMBOL_CRC(fscache_get_cookie, 0x9ef674b0, "");
SYMBOL_CRC(__fscache_invalidate, 0x6521a862, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x466ae075, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x1bb12e48, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x4e6a8c3c, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xf420b65a, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xcc9dd041, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x6dc002d8, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x0b33224c, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x3adfd1ae, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1d05a914, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x62780202, "");
SYMBOL_CRC(fscache_end_volume_access, 0xee592057, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x71be80c6, "");
SYMBOL_CRC(fscache_put_volume, 0x68feeaaa, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x34d8846e, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xbfc04b99, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f1ab9bf, "vfs_fsync_range" },
	{ 0xd53a3bfc, "wbc_detach_inode" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc56866ff, "bpf_trace_run4" },
	{ 0xd1efccf, "kiocb_write_and_wait" },
	{ 0x96def04b, "param_ops_uint" },
	{ 0x57674e5c, "filemap_range_has_page" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3e20488, "__folio_batch_release" },
	{ 0xbf9815a4, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b440a48, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x82f11282, "__trace_trigger_soft_disabled" },
	{ 0x27b30e05, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8e7143df, "iov_iter_advance" },
	{ 0xc90e508c, "trace_event_printf" },
	{ 0x519d9222, "xas_find" },
	{ 0x92bfe578, "folio_redirty_for_writepage" },
	{ 0x3180e106, "iov_iter_folio_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8672f1bb, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4386c3, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x5734fa65, "invalidate_inode_pages2_range" },
	{ 0x50a14e59, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xd172e1a0, "remove_proc_subtree" },
	{ 0xd2902d1, "folio_clear_dirty_for_io" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x3b2fbfce, "wbc_attach_fdatawrite_inode" },
	{ 0xc1dc1c88, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7b08d15b, "__filemap_set_wb_err" },
	{ 0xc7202bea, "__filemap_get_folio" },
	{ 0xd0fd391, "filemap_invalidate_inode" },
	{ 0x7b4bf15a, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xbff729e6, "iov_iter_extract_pages" },
	{ 0x893a6ee8, "copy_page_from_iter_atomic" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4875dfb2, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc3420fb8, "kmem_cache_size" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xa23c419, "readahead_expand" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa2ca63f9, "__folio_lock_killable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe405d724, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xfde87c6c, "bpf_trace_run5" },
	{ 0xf92a8b8d, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x705dc76e, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x15d86205, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xac950fc7, "seq_putc" },
	{ 0xcba2d708, "trace_event_reg" },
	{ 0xf7d33bef, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x51d8b511, "__folio_start_writeback" },
	{ 0x3743281a, "bpf_trace_run1" },
	{ 0xec8c4ebf, "folio_end_writeback" },
	{ 0x584dff69, "folio_alloc_noprof" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x438c89f, "proc_mkdir" },
	{ 0x9dd176c, "inode_dio_wait_interruptible" },
	{ 0x5c8a7a16, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x86fb9336, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd9ca66be, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xc2e8cac4, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x334d39bf, "__kmem_cache_create_args" },
	{ 0xd81a4a3e, "writeback_iter" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x97aa917a, "set_page_dirty" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd98ffe47, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x93f8b84e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xd49bca24, "filemap_fdatawait_range" },
	{ 0x92172ce, "seq_write" },
	{ 0x70c7ebcf, "__folio_put" },
	{ 0x970ef05d, "remove_proc_entry" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x1fb0f15b, "iov_iter_zero" },
	{ 0x2f112290, "touch_atime" },
	{ 0x4c90a487, "filemap_read" },
	{ 0xa5fd87db, "__percpu_down_read" },
	{ 0xcf339038, "balance_dirty_pages_ratelimited_flags" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x190ac6f2, "filemap_dirty_folio" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3ee0dc4a, "rcuwait_wake_up" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4c1b3078, "iov_iter_xarray" },
	{ 0x27727d97, "proc_create_single_data" },
	{ 0x75d8a39d, "filemap_write_and_wait_range" },
	{ 0xf1e5598a, "folio_wait_writeback_killable" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x26299598, "proc_symlink" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xa9b3d642, "generic_write_checks" },
	{ 0x838a4e3a, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8f9c85e9, "proc_create_seq_private" },
	{ 0x4cb4f28e, "folio_wait_private_2_killable" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x8d529dd, "iov_iter_npages" },
	{ 0x68b1d69f, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x64b5bc49, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4AC837356DECFECF9596E73");
MODULE_INFO(rhelversion, "9.99");
