#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xe02488f3, "");
SYMBOL_CRC(is_hsr_master, 0xce4b3649, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ef67df3, "dev_set_mtu" },
	{ 0x9dbcc9b9, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd7c74b41, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda85d6bb, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb11973a2, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x801f09cd, "rtnl_link_register" },
	{ 0xfa1f4d24, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1554bb4c, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0599f95, "dev_set_promiscuity" },
	{ 0x455f7102, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x986c418d, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc71ec0c4, "unregister_netdevice_queue" },
	{ 0x7ca1d786, "netlink_ack" },
	{ 0xaa014022, "__pskb_copy_fclone" },
	{ 0x1cf86fc7, "dev_uc_unsync" },
	{ 0xe873635d, "ether_setup" },
	{ 0x62de3cac, "netlink_broadcast_filtered" },
	{ 0x67dbe395, "netdev_err" },
	{ 0x67a7d290, "netdev_upper_dev_link" },
	{ 0x43caa945, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x94dca471, "netdev_rx_handler_unregister" },
	{ 0xbf007ae, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x57806198, "__alloc_skb" },
	{ 0xe1d73bd4, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xcf7f37ad, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x87e27809, "rtnl_link_unregister" },
	{ 0x114f4411, "init_net" },
	{ 0x4eb8d2ca, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0x4b0635c6, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa5e06e7e, "dev_get_by_index_rcu" },
	{ 0x45319a9a, "netdev_printk" },
	{ 0x685c7030, "skb_push" },
	{ 0x76fae2c4, "debugfs_remove" },
	{ 0x73212c8c, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xadb7180e, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x234e6e3f, "__pskb_pull_tail" },
	{ 0x8fdc5b23, "netif_rx" },
	{ 0x5e03f1a, "__netdev_alloc_skb" },
	{ 0x71812a22, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe07cdeee, "seq_read" },
	{ 0x12f5fd8a, "debugfs_rename" },
	{ 0x150f2893, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd5a38676, "vlan_vid_add" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf1dafec, "call_netdevice_notifiers" },
	{ 0xee3b71b8, "vlan_vid_del" },
	{ 0x9159b92e, "dev_set_allmulti" },
	{ 0x92172ce, "seq_write" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x62a76d8f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x121bb190, "skb_clone" },
	{ 0x63f1bdc1, "netif_carrier_on" },
	{ 0xa0105b10, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5206dc6b, "netdev_rx_handler_register" },
	{ 0x86fbeac3, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6fcf5a82, "genl_unregister_family" },
	{ 0x11df3b40, "dev_disable_lro" },
	{ 0x49654632, "dev_kfree_skb_any_reason" },
	{ 0xc544d806, "single_open" },
	{ 0xb2333094, "debugfs_create_dir" },
	{ 0xc14375b5, "dev_mc_unsync" },
	{ 0xc00e6b3b, "genl_register_family" },
	{ 0xf3cddfd1, "netdev_core_stats_inc" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x335d043b, "netdev_info" },
	{ 0x7fc703f2, "dev_mc_sync_multiple" },
	{ 0xb4aa2817, "register_netdevice" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D19F61685356783AD2D488E");
MODULE_INFO(rhelversion, "9.99");
