#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x9c53d7af, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x2c9967c8, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xd9c62e12, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x1a18eb88, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x9169af8c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xfefe9965, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x503964f3, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xd06f60a8, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xc1dbc7a5, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x0eda38b2, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x614d0e5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x54c9f50a, "register_pernet_subsys" },
	{ 0x25687c8, "unregister_pernet_subsys" },
	{ 0x3f602169, "nf_register_net_hooks" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x92172ce, "seq_write" },
	{ 0x1a12a159, "nf_unregister_net_hooks" },
	{ 0x970ef05d, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x64f5779e, "security_skb_classify_flow" },
	{ 0x1a6d3a7f, "__nf_ip6_route" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0x40a27b02, "xfrm_lookup" },
	{ 0x6efd134c, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf7ad3e89, "nf_ct_tmpl_alloc" },
	{ 0x1ebad997, "nf_ct_ext_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x66b09d04, "proc_create_net_data" },
	{ 0x1e366ad7, "nf_ct_tmpl_free" },
	{ 0xca4166af, "skb_ensure_writable" },
	{ 0x86baf4a3, "inet_proto_csum_replace4" },
	{ 0xf5ec75b0, "skb_copy_bits" },
	{ 0xa2431980, "ip_route_me_harder" },
	{ 0x4ac696d3, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x57806198, "__alloc_skb" },
	{ 0xda85d6bb, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0xeeef43a6, "ipv6_skip_exthdr" },
	{ 0x1bfcd9cb, "nf_ct_seqadj_init" },
	{ 0xc8540933, "consume_skb" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "280750995178B5F538FDBDA");
MODULE_INFO(rhelversion, "9.99");
