#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xf04f1ce8, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x80f2f280, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x92380b91, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xf5cfdb4b, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xc7117a6e, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xbc6f6fee, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xd15ae900, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x9dad3895, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x13205a1a, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x10d73429, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x38cb4f85, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x65bfb9f5, "");
SYMBOL_CRC(key_type_rxrpc, 0x37059785, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x550f0de5, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x557aa169, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x870fedbf, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xa5c3a7cc, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x5dfee621, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x233aabab, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x61e6378d, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xc4aeae5c, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x58391578, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xab45056c, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x54ac3f1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x281f178a, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7643c84b, "key_alloc" },
	{ 0xc56866ff, "bpf_trace_run4" },
	{ 0xf5ec75b0, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x96def04b, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc8540933, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b440a48, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xbe8f956b, "udp_sock_create4" },
	{ 0x7f6fab18, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x13134ff6, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x82f11282, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc90e508c, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0xf74ecd83, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xc24fabcd, "udpv6_sendmsg" },
	{ 0xe33fdf5, "unregister_key_type" },
	{ 0x2f2ce2e3, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8672f1bb, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x559e1b62, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x50a14e59, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa150cf3e, "crypto_skcipher_setkey" },
	{ 0x86dc242e, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9cf3f8d7, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x7ae71deb, "register_key_type" },
	{ 0x66b09d04, "proc_create_net_data" },
	{ 0xb555d8ef, "put_cmsg" },
	{ 0xefdec6fd, "wake_up_process" },
	{ 0xc1dc1c88, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x7f49d07e, "register_net_sysctl_sz" },
	{ 0xe10c2a88, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x2f4d1f65, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb1214bbf, "ipv6_icmp_error" },
	{ 0x1375ff45, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc3985769, "crypto_skcipher_decrypt" },
	{ 0xaeee7c5, "make_kuid" },
	{ 0xc8220e93, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0xdd74e996, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x9120b111, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2599cf42, "__sock_recv_timestamp" },
	{ 0xacdb1b1f, "key_put" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe405d724, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x114f4411, "init_net" },
	{ 0x4eb8d2ca, "skb_pull" },
	{ 0x44966029, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0x6afa4bd2, "sock_enable_timestamps" },
	{ 0x1f3e1308, "ip_sock_set_mtu_discover" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0xfde87c6c, "bpf_trace_run5" },
	{ 0x3a0da817, "sk_free" },
	{ 0xc061efea, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x59c46f2c, "kernel_sock_shutdown" },
	{ 0xd6314c73, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x15d86205, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xcba2d708, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc18e4170, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbe799c3c, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x5ee08394, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8af2063, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x8ae854e2, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcf692366, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3fd7b1ec, "sk_alloc" },
	{ 0x3743281a, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xbb29b963, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xefca3065, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9ca66be, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x409b3221, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x8bc0bb22, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf4e10b60, "crypto_alloc_sync_skcipher" },
	{ 0x334d39bf, "__kmem_cache_create_args" },
	{ 0x950196e6, "setup_udp_tunnel_sock" },
	{ 0x251e5364, "proc_remove" },
	{ 0x7bfca91a, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x760ae468, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd98ffe47, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93f8b84e, "trace_event_buffer_reserve" },
	{ 0xfa8f49ca, "keyring_search" },
	{ 0x6a510298, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfb61cf64, "request_key_tag" },
	{ 0x1b9a7403, "generic_key_instantiate" },
	{ 0x92172ce, "seq_write" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcfea36b5, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x7021f1d2, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x121bb190, "skb_clone" },
	{ 0xf4120dab, "dst_release" },
	{ 0x68f4618e, "_copy_from_iter" },
	{ 0x5fcc8e2a, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x876fba4d, "sock_no_ioctl" },
	{ 0x34288040, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa83071b8, "__seq_puts" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbb425cb2, "bpf_trace_run7" },
	{ 0x91fcaed1, "ip_icmp_error" },
	{ 0x838a4e3a, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x285bfcfb, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x693379d0, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xe8e6eefe, "register_pernet_device" },
	{ 0x1fbbe899, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x43807543, "sock_init_data" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x64b5bc49, "kmem_cache_destroy" },
	{ 0xf0cde4ef, "release_sock" },
	{ 0xbbd89cd3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1bd1744, "proc_create_net_single_write" },
	{ 0x4c9357c2, "crypto_alloc_skcipher" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2A2BCE55B1E34ADF4AA7F8F");
MODULE_INFO(rhelversion, "9.99");
