#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_color_mode_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_check_src_coords, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_free, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init_with_mnt, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_add, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(__drm_printfn_line, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_dev_suspend, "", "");
KSYMTAB_FUNC(drm_client_dev_resume, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xdfebbd7f, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xeff18f74, "");
SYMBOL_CRC(drm_atomic_state_init, 0x24bfdd9b, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xc616c715, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xe7b5df53, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x4797b8cf, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xbc5cf334, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x4c1badcc, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x37a9b355, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x5cd2c329, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x102047a4, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x30ad5829, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xb1dc1a3e, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x360c6df6, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xb77d2fe1, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xc43dbbff, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xce6f13ed, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x63e81145, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x887a5742, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x9779e23e, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x64cac1de, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x7b3ecb50, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x388aff82, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x73324e29, "");
SYMBOL_CRC(drm_atomic_check_only, 0xd737022f, "");
SYMBOL_CRC(drm_atomic_commit, 0x82d27175, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x85465624, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xacd27a60, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xcc13e795, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xdc50dfe5, "");
SYMBOL_CRC(drm_state_dump, 0x25db22d4, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x18cfb077, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x69412798, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xb5a62efb, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xc8f0f865, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xa47035b0, "");
SYMBOL_CRC(drm_is_current_master, 0x8c36ee1e, "");
SYMBOL_CRC(drm_master_get, 0x1f0be757, "");
SYMBOL_CRC(drm_file_get_master, 0xbdf0f0aa, "");
SYMBOL_CRC(drm_master_put, 0xf3240a94, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x2e1b12e4, "");
SYMBOL_CRC(drm_master_internal_release, 0x3fc8f1c4, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x994bb25d, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xfc76ac87, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xc8e7b4da, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x8d37a82a, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xd8c4cf57, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x2b507c0f, "");
SYMBOL_CRC(drm_bridge_add, 0x75f98ee7, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x30fb35b0, "");
SYMBOL_CRC(drm_bridge_remove, 0x807e9e0d, "");
SYMBOL_CRC(drm_bridge_attach, 0x0953064e, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xae968400, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x49d040e3, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x9d0dc414, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x97a40720, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xbd15f74e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x3f7a76fb, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xb577d964, "");
SYMBOL_CRC(drm_bridge_detect, 0x32101876, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x7851b209, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xf0186c23, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x9bb2203a, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xcbadb09e, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x452203be, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x8bee6362, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x926b8865, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xf7264198, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x8298e8bd, "");
SYMBOL_CRC(drm_color_lut_check, 0xb17f36a8, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x1ac1dfa7, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x4b7e4bce, "");
SYMBOL_CRC(drmm_connector_init, 0x8043b0b4, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x2fa0e571, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xed6de60e, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x38044bd1, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xd46f5699, "");
SYMBOL_CRC(drm_connector_cleanup, 0xb97788f3, "");
SYMBOL_CRC(drm_connector_register, 0x9d3787e6, "");
SYMBOL_CRC(drm_connector_unregister, 0x754afe71, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x0a8ad4ac, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xc52913d2, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x5b15079e, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xdaff2cdf, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xa88c8cdd, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x4010a6dc, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x5d769b6d, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x3a26b134, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xd215b227, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xb922c188, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x5d4ab518, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x031094ba, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x3bbdb85d, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x6d67cd4b, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x172b8712, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x6ae300c4, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x8222e6ec, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x70a9fc15, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x94ea8e5f, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x5154ccb4, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x21ae0d22, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x3eb1f4ca, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xe388a753, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x96f12fe4, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x97744655, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x38273d0d, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xdcc19685, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xb5a02b60, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xda098393, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x9dd95e54, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x3d262918, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xfa68157c, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x8aa8a2b2, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xcebc068f, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x0ee96a57, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x374acee4, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x38e00578, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xf4a3795c, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xbd5a8a42, "");
SYMBOL_CRC(drm_crtc_from_index, 0x58d89ac5, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xfb678495, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x0e8e933c, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x2578cd91, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x46aa98f9, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x8d07f360, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xf2ff5441, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x23fe39de, "");
SYMBOL_CRC(drm_put_dev, 0x625b5b72, "");
SYMBOL_CRC(drm_dev_enter, 0x38cf1dfb, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x711e4eaf, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xa942e39a, "");
SYMBOL_CRC(drm_dev_alloc, 0xf7b55fce, "");
SYMBOL_CRC(drm_dev_get, 0x0325b997, "");
SYMBOL_CRC(drm_dev_put, 0x08663da2, "");
SYMBOL_CRC(drm_dev_register, 0x3e11f0f9, "");
SYMBOL_CRC(drm_dev_unregister, 0xe1c2a946, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x9f35ff5c, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0xa6943fc6, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xe2cd98c9, "");
SYMBOL_CRC(drm_get_edid, 0x240d5a62, "");
SYMBOL_CRC(drm_edid_read_custom, 0x6126efa6, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x3bad8c62, "");
SYMBOL_CRC(drm_edid_read, 0xe3e95082, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0x0976ba9b, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x56ab023f, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xed14f215, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x96acc7aa, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x8570e3f4, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x98239c4e, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xfab432b7, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x7f4cfd3c, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xd31a0877, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x0b47aefd, "");
SYMBOL_CRC(drm_add_edid_modes, 0x96b0c1ea, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x4bc4618b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x1e0ac334, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x9eac586b, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x6c94347d, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xc3d2159a, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x2bc9ec76, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xa2b25050, "");
SYMBOL_CRC(drmm_encoder_init, 0x0cb4ca4a, "");
SYMBOL_CRC(drm_open, 0x5fca9614, "");
SYMBOL_CRC(drm_release, 0xfb4c3401, "");
SYMBOL_CRC(drm_release_noglobal, 0xf4d2c682, "");
SYMBOL_CRC(drm_read, 0x31cc68ca, "");
SYMBOL_CRC(drm_poll, 0x77259cdc, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x2d35c776, "");
SYMBOL_CRC(drm_event_reserve_init, 0xda9084ff, "");
SYMBOL_CRC(drm_event_cancel_free, 0xa1e794d3, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x73bc1baa, "");
SYMBOL_CRC(drm_send_event_locked, 0x4059494a, "");
SYMBOL_CRC(drm_send_event, 0xaea187bf, "");
SYMBOL_CRC(drm_print_memory_stats, 0x5a5224ff, "");
SYMBOL_CRC(drm_show_memory_stats, 0x62a0a1fe, "");
SYMBOL_CRC(drm_show_fdinfo, 0x4d057848, "");
SYMBOL_CRC(mock_drm_getfile, 0xc7a72624, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xd1d558f3, "");
SYMBOL_CRC(drm_driver_color_mode_format, 0xc5cdee2d, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xfd9efbd9, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_check_src_coords, 0x363b7f92, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x83a3c2de, "");
SYMBOL_CRC(drm_framebuffer_free, 0xd4f8a3e1, "");
SYMBOL_CRC(drm_framebuffer_init, 0xf84bf0e8, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xb3980260, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xdd86dc35, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x82a2e4c1, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x6d92d37d, "");
SYMBOL_CRC(drm_gem_object_init_with_mnt, 0x61fdd9b0, "");
SYMBOL_CRC(drm_gem_object_init, 0x53f34619, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xcf12ac6f, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x19fa579d, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x38991bc9, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x6c427ce7, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x4804f927, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x48e65c71, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x53f8cbfd, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xd83439f4, "");
SYMBOL_CRC(drm_gem_get_pages, 0xdfb78ecc, "");
SYMBOL_CRC(drm_gem_put_pages, 0x03b93f3f, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x5114b2b1, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xb489c156, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x2c0e09dd, "");
SYMBOL_CRC(drm_gem_object_release, 0x88069973, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xbb327042, "");
SYMBOL_CRC(drm_gem_vm_close, 0x2f7301cb, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x24a43231, "");
SYMBOL_CRC(drm_gem_mmap, 0xb6188b5c, "");
SYMBOL_CRC(drm_gem_vmap, 0xf9723153, "");
SYMBOL_CRC(drm_gem_vunmap, 0x85709c0b, "");
SYMBOL_CRC(drm_gem_lock, 0xea37fe8f, "");
SYMBOL_CRC(drm_gem_unlock, 0x5ffb9c41, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x082d7959, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x1b90b4f9, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x1f34d7e0, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x3517dc19, "");
SYMBOL_CRC(drm_gem_lru_init, 0x0ad7782d, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x4ad2fc59, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xbdc8f13d, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x30642732, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x94d834e4, "");
SYMBOL_CRC(drm_gem_evict, 0x92f0ad3b, "");
SYMBOL_CRC(drm_noop, 0x058ef887, "");
SYMBOL_CRC(drm_invalid_op, 0x4a702387, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x4a4ddae5, "");
SYMBOL_CRC(drm_ioctl, 0x517eec59, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xaee95d83, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x0dfb07f5, "");
SYMBOL_CRC(drmm_release_action, 0xf1f55f6a, "");
SYMBOL_CRC(drmm_kmalloc, 0xaa25811c, "");
SYMBOL_CRC(drmm_kstrdup, 0x6745a527, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xa8f57428, "");
SYMBOL_CRC(__drmm_mutex_release, 0xf3635a2a, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x1528d90c, "");
SYMBOL_CRC(drm_mode_config_reset, 0xf45d2570, "");
SYMBOL_CRC(drmm_mode_config_init, 0x4dbd0aeb, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x5b883b18, "");
SYMBOL_CRC(drm_mode_object_add, 0x94e969b5, "");
SYMBOL_CRC(drm_mode_object_find, 0x9abae183, "");
SYMBOL_CRC(drm_mode_object_put, 0x75ae4b6b, "");
SYMBOL_CRC(drm_mode_object_get, 0x33fa6deb, "");
SYMBOL_CRC(drm_object_attach_property, 0x4175cb1c, "");
SYMBOL_CRC(drm_object_property_set_value, 0x80297833, "");
SYMBOL_CRC(drm_object_property_get_value, 0x6f2c829a, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x2df4c011, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xafc438c9, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xf6dbf3a1, "");
SYMBOL_CRC(drm_mode_destroy, 0x834679bd, "");
SYMBOL_CRC(drm_mode_probed_add, 0xbb98df99, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x6733a88b, "");
SYMBOL_CRC(drm_cvt_mode, 0xee741699, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xf74462c5, "");
SYMBOL_CRC(drm_gtf_mode, 0xfe5bbcb2, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x9abad368, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x8749116c, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xce1ee05e, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x02a3e49a, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x1fdcb894, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x344fc6dc, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xf6095e3e, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xc983ff1d, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x7bcc2a91, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x4f1ce3b5, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x370820be, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x21a97a3c, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x0c191cd0, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xd50a4a34, "");
SYMBOL_CRC(drm_modeset_backoff, 0x97d17999, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x96af68f6, "");
SYMBOL_CRC(drm_modeset_lock, 0x1858f12b, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xd2eb6f73, "");
SYMBOL_CRC(drm_modeset_unlock, 0x541850dc, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xa2b9e6b6, "");
SYMBOL_CRC(drm_universal_plane_init, 0xc84a4a27, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xe3ed997d, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xf676054b, "");
SYMBOL_CRC(drm_plane_cleanup, 0xe8650a36, "");
SYMBOL_CRC(drm_plane_from_index, 0xd343fb6e, "");
SYMBOL_CRC(drm_plane_force_disable, 0x418fedf2, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x6af14895, "");
SYMBOL_CRC(drm_plane_has_format, 0xc3d9f77f, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x153435ed, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x5b860ab5, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xe66621e9, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xfbd74004, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x548fe687, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x79a20ea9, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x72a3b939, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x307f863b, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x5500a77c, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x785ed02d, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x82db9800, "");
SYMBOL_CRC(drm_gem_map_attach, 0x4aeeaf81, "");
SYMBOL_CRC(drm_gem_map_detach, 0xd634ecc3, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xd8b6b3da, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xa3d25161, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0xc85a19b5, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x41195e73, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x2d5af251, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x852f3cee, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x57a32e7c, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xddc287ea, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x44b52437, "");
SYMBOL_CRC(drm_gem_prime_import, 0x0f0cc61c, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x41f25234, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x76ccc973, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xa542ecb6, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xf19909be, "");
SYMBOL_CRC(__drm_puts_seq_file, 0xc20834bc, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x50b67bbc, "");
SYMBOL_CRC(__drm_printfn_info, 0xd4a29529, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x6063f063, "");
SYMBOL_CRC(__drm_printfn_err, 0x3b0429b5, "");
SYMBOL_CRC(__drm_printfn_line, 0xd5660acc, "");
SYMBOL_CRC(drm_puts, 0x1401b42f, "");
SYMBOL_CRC(drm_printf, 0x4a59a39a, "");
SYMBOL_CRC(drm_print_bits, 0x873bb918, "");
SYMBOL_CRC(drm_dev_printk, 0x3e00e0a1, "");
SYMBOL_CRC(__drm_dev_dbg, 0x527541b8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x329d732d, "");
SYMBOL_CRC(drm_property_create, 0x4d9dabcc, "");
SYMBOL_CRC(drm_property_create_enum, 0x8b75de7a, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x8e5dc3a0, "");
SYMBOL_CRC(drm_property_create_range, 0xa5cddc59, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xc41d7aaf, "");
SYMBOL_CRC(drm_property_create_object, 0x78644193, "");
SYMBOL_CRC(drm_property_create_bool, 0xecac669e, "");
SYMBOL_CRC(drm_property_add_enum, 0xbeda81ae, "");
SYMBOL_CRC(drm_property_destroy, 0x617803ae, "");
SYMBOL_CRC(drm_property_create_blob, 0xc871940b, "");
SYMBOL_CRC(drm_property_blob_put, 0x172d0f7c, "");
SYMBOL_CRC(drm_property_blob_get, 0xb46fe276, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xeff0f0fa, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x02f88cf3, "");
SYMBOL_CRC(drm_property_replace_blob, 0xcbc8908a, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xd92a5257, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_syncobj_find, 0x3f3f736e, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x48a74687, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x28437609, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xca0e1306, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xbf55da2f, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xf70bc8a9, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x4e7308f3, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xad1a234f, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x6744ba07, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xfe0d7cdc, "");
SYMBOL_CRC(drm_class_device_register, 0xf6995d1f, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x06d517eb, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x315b5b46, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xaf9fd881, "");
SYMBOL_CRC(drm_vblank_init, 0x3fcec669, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x74e11382, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xf07d8f95, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x4fae6fb6, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x8647228d, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x9ce6233a, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x95b67d2e, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xefa480d1, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x1bfd156b, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x39e3a9fb, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xcbfd3a21, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xbd9a9ae9, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xd1d29aa8, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xd5e6c407, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xc158acf9, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xc1927797, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xe11fdb34, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x1ed0ff50, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x1232ca21, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xb8eea26c, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x2e3349bb, "");
SYMBOL_CRC(drm_handle_vblank, 0x68b9e3a4, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xc395528e, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x700121a2, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x23b6edd0, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x22ead067, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x8edb09e0, "");
SYMBOL_CRC(drm_vblank_work_init, 0x8cdde5ca, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xb4fe0501, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cb803c8, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x7d9b3370, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa7ff050f, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8cd1f61b, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf092af45, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x3a0f8fe6, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa5ec2523, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x682fbda3, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x1aa9b1ce, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x4266aa27, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x2a17ecd3, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x7a6446e9, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xda93d050, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xe7a331d0, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xc2678441, "");
SYMBOL_CRC(drm_client_init, 0x78a7417b, "");
SYMBOL_CRC(drm_client_register, 0x4efad9b6, "");
SYMBOL_CRC(drm_client_release, 0x758192c9, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x609e1f83, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0xdcae012c, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xa2a3ed98, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xb9c8fc3b, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x8c8dba0b, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x86c873a5, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xddca4ddd, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xe7510f8a, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x71211738, "");
SYMBOL_CRC(drm_client_dev_suspend, 0x38945341, "");
SYMBOL_CRC(drm_client_dev_resume, 0xb8fdf45c, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x0a038a66, "");
SYMBOL_CRC(drm_client_rotation, 0x876ff434, "");
SYMBOL_CRC(drm_client_modeset_check, 0xcbab6a90, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xac998505, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x376ccb8d, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xd1d8c7fd, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xc687c377, "");
SYMBOL_CRC(drm_panel_init, 0x53ee92d6, "");
SYMBOL_CRC(drm_panel_add, 0x2054b264, "");
SYMBOL_CRC(drm_panel_remove, 0x189031eb, "");
SYMBOL_CRC(drm_panel_prepare, 0xb6b258c3, "");
SYMBOL_CRC(drm_panel_unprepare, 0x0e1715b9, "");
SYMBOL_CRC(drm_panel_enable, 0x8fd5ad57, "");
SYMBOL_CRC(drm_panel_disable, 0x72c67071, "");
SYMBOL_CRC(drm_panel_get_modes, 0x180570ea, "");
SYMBOL_CRC(drm_is_panel_follower, 0x689fe7fc, "");
SYMBOL_CRC(drm_panel_add_follower, 0x8c6e25e9, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x8ef8ac63, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x87365c33, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x096463da, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x1f4f70ea, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x426eece2, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xa8e80594, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x8f963357, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xd0c5d3f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xe4ec555b, "try_module_get" },
	{ 0x10220636, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfdb06e84, "ww_mutex_lock_interruptible" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0xd7d77c20, "alloc_anon_inode" },
	{ 0x21a3e912, "show_class_attr_string" },
	{ 0x7ec53468, "kthread_cancel_work_sync" },
	{ 0x9a07e7b, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4decbf8, "kthread_flush_work" },
	{ 0xc56866ff, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xd6219edc, "param_ops_ulong" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb6e86064, "shmem_read_folio_gfp" },
	{ 0x3e20488, "__folio_batch_release" },
	{ 0x2e613088, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb0b36d4, "seq_buf_printf" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9b440a48, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x808c193d, "dma_resv_init" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4f109971, "dma_resv_wait_timeout" },
	{ 0x8a9da57e, "device_unregister" },
	{ 0x135adca3, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x82f11282, "__trace_trigger_soft_disabled" },
	{ 0xaf13c402, "kthread_flush_worker" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x2afc0707, "class_destroy" },
	{ 0xc90e508c, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xa6d0cf1f, "ww_mutex_unlock" },
	{ 0xc9424f3d, "device_initialize" },
	{ 0x2f2ce2e3, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x985808a2, "fd_install" },
	{ 0x5031b485, "dma_fence_chain_ops" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8672f1bb, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb7c6540e, "component_del" },
	{ 0x4386c3, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd9a12564, "iput" },
	{ 0x455f7102, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x539afb5a, "dma_buf_unmap_attachment_unlocked" },
	{ 0xd209e848, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x84872f7a, "dma_fence_add_callback" },
	{ 0x48fc7694, "synchronize_srcu" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x73e7c939, "get_device" },
	{ 0xfc10f2ca, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8f0ee779, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xefdec6fd, "wake_up_process" },
	{ 0xa19b3ff9, "dev_driver_string" },
	{ 0xd150a0ab, "dma_buf_map_attachment_unlocked" },
	{ 0xc1dc1c88, "trace_event_buffer_commit" },
	{ 0xf76f8fa3, "pci_domain_nr" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2143663, "ww_mutex_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2665076d, "dma_max_mapping_size" },
	{ 0x802c410a, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x3ea2db41, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x95a43f47, "kthread_queue_work" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5e0f6089, "dma_fence_remove_callback" },
	{ 0x6856a89c, "_dev_info" },
	{ 0x7b4bf15a, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf06482e0, "atomic_dec_and_mutex_lock" },
	{ 0x664759ab, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xfb5e33b, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2a23be62, "dma_fence_chain_walk" },
	{ 0xee637abb, "debugfs_lookup" },
	{ 0x105fdf04, "__task_pid_nr_ns" },
	{ 0xca5de8d, "kobject_uevent_env" },
	{ 0xa0d3d560, "ksize" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x4fed7047, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e9c5bab, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe405d724, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x946de9f2, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd9643b20, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xed8bb1b5, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xc5de70a2, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x2beaaf48, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x25843f9e, "pid_task" },
	{ 0xbb9053cc, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x256a533a, "noop_llseek" },
	{ 0x86bbbfa2, "dma_fence_signal" },
	{ 0xaaecbb8b, "folio_mark_accessed" },
	{ 0xd22963b6, "dma_resv_fini" },
	{ 0x3c404c94, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x590e3c75, "dma_buf_get" },
	{ 0x76fae2c4, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xac950fc7, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x850ac4f2, "ww_mutex_lock" },
	{ 0xcba2d708, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2c67c7c3, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66987888, "dma_fence_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbab6bfe, "device_register" },
	{ 0x1749dac7, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x88899de5, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc03435d1, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6108288f, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7242e96d, "strnchr" },
	{ 0xe798236d, "jiffies" },
	{ 0x4f3f445e, "init_pseudo" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xf6813e6a, "check_move_unevictable_folios" },
	{ 0xd98ffe47, "bpf_trace_run3" },
	{ 0xe07cdeee, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x7230beea, "fdget" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x93f8b84e, "trace_event_buffer_reserve" },
	{ 0xd75f3106, "dma_map_sgtable" },
	{ 0x981ccfca, "kthread_destroy_worker" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5bbadee5, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7cac7902, "hdmi_infoframe_pack" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0xd4af8c36, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x82c56fe5, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x92172ce, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2d43193, "seq_printf" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb15f6389, "__srcu_read_unlock" },
	{ 0xa0105b10, "debugfs_create_file_full" },
	{ 0x27b1fbd7, "i2c_transfer" },
	{ 0x8763ec5, "dma_fence_allocate_private_stub" },
	{ 0x36b0471a, "dma_buf_detach" },
	{ 0x261c30c5, "dma_fence_signal_timestamp" },
	{ 0x7a40c6b1, "dma_fence_chain_init" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x86fbeac3, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x44af122e, "pid_vnr" },
	{ 0xd4c67488, "sched_set_fifo" },
	{ 0x3e5973b5, "simple_release_fs" },
	{ 0x8223b039, "dev_err_probe" },
	{ 0x7926c16e, "dma_unmap_sg_attrs" },
	{ 0xa83071b8, "__seq_puts" },
	{ 0xccf889d5, "kill_anon_super" },
	{ 0x77eac03a, "from_kuid_munged" },
	{ 0x789c85ac, "__devm_add_action" },
	{ 0x2162f2f6, "component_add" },
	{ 0xdf59e76a, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x35e8e10d, "shmem_file_setup_with_mnt" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45f0d192, "dma_fence_chain_find_seqno" },
	{ 0x1b9924d8, "param_ops_int" },
	{ 0xafe69c, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc544d806, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb2333094, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x526975eb, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb37075d, "put_pid" },
	{ 0x81f139ed, "__dev_fwnode" },
	{ 0x71835081, "pci_bus_type" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x27e4d5cc, "class_remove_file_ns" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x67cbb80d, "simple_pin_fs" },
	{ 0x6ae2d303, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks,i2c-core");


MODULE_INFO(srcversion, "BBCC3C067281428390D88E0");
MODULE_INFO(rhelversion, "9.99");
