#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x6d1526a2, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xf20d0414, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x47602712, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x9502515c, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x4b62f2c2, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xb884af4f, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x55cd03b8, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xe7e3b2fb, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xbf602aae, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x5d54cc0f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xd222b696, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xd1e210b7, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x949fa9ee, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x3d2a34a8, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x2b7fdf75, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xb34d90d4, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x8d74bd6a, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x58ae7889, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x3b98c245, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa03c2493, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x05325bd3, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x47339b2d, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x71655c81, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x71339e68, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x4f3701d2, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xc9a6faf8, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x312a3cb9, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xf2e5b826, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x2a57603a, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xdf74a9e8, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xe3b63c00, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x02fdba1f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x554ed2b6, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xdd0c2f09, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xfe49e995, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xbf7019aa, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xc9548bcd, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x5ed13a02, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x37e36982, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x6115fe71, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x7933ba6a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x6bfdb734, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xa8e2b117, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xcef16e03, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x3229c1d3, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x5a116d42, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x6e6a3a3a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x3f136a42, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xe1c28146, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xa8879f0f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xa3c55819, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xf54e9c60, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x4cb375d0, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x88c04d70, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xe6c99d84, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x754e5e4b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x0b20c947, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xc7a51bca, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x3f89693b, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xa1c8e78d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x122aa050, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x31bc329c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x3c5ad2ff, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xeb4451fd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x9b43777e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xa50e3998, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x4e6871f9, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xef819b16, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x4d18d57f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xe699087e, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x75c1c430, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xf217fde3, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xae9fe696, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x6a9bdf62, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xd3d574b7, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x83d134f7, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x94473828, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xb76d07db, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xedc81cf2, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x5cd45109, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x658c96ef, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xda0b3403, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x1561cb2d, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x37010397, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x1ede7dca, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x789e86bc, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x1fed5f3b, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x7839d076, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xad5d6ca3, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x340cac85, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x4229330a, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x8b9813f1, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x4a905507, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x57ebb145, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x977b2bad, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x020ff6c1, "");
SYMBOL_CRC(drm_fb_swab, 0xbef1738d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x6af6a706, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x4cd29222, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x88d64c3c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xdb6df4cd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x745d3193, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xd7cecd82, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xaa0072d1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x2e7db830, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xead4ef30, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x163f21ad, "");
SYMBOL_CRC(drm_fb_blit, 0x0b9fe97c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xb5d8b407, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x1a0896d0, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x42cab1c3, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xef968a12, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x91c88801, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xb8796968, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x7cd1c6a1, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x56ac0e28, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xc65f21e7, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xec731dde, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x04f6e3e3, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x0656f035, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xf5f811b7, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x9a3fd510, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x131efa6f, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x5f001673, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x540e75e4, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xeb10bcec, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x83407466, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x0aa4ad96, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x841718c2, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xc432e8a7, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x2043e46e, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x237c50fb, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x2d926fd3, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x849bea7b, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x325caba8, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x32b2eb58, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x338118f3, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x105ec3ac, "");
SYMBOL_CRC(drm_crtc_init, 0xbebd3b8f, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x432985fc, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x1e9960e0, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x96637e26, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xd1e6e353, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xb0040316, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x56ddcb1e, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x14f1d182, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x66840a0f, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x17f6f91a, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xfeb1fd9f, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xe3c88cd6, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xf047b40c, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x28be71f7, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x8c75050a, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x571a6ccd, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x2b070c89, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x37fab87e, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xaa340441, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xb9a7e7e3, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x6be2ec4a, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x7f5dee0e, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xe6c2719f, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x599925a3, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x1629f76c, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x6e1b802f, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xe4cf6c37, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xc171d4cf, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x3fc89c06, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x66d1badd, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x6f2285c7, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x4a4b6a7b, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x0952ce8b, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x925ef17d, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xe714444e, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x37221a25, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xb909dd48, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xdc95c1c4, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xb6fde6f3, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x7238ecf5, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xf82635cd, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x6b6e90a2, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x17749b56, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xc51f6869, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x0da0c5f3, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xf95f8b57, "");
SYMBOL_CRC(drm_fb_helper_init, 0xea73610d, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xda852c8f, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x819dc64e, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x62fddd8f, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x0c057217, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x1af9f310, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x16f944c8, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x391cabd2, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xb8f8f6f3, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x57c60901, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x85f571d0, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x92a76454, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x165e5024, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x9b60094a, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x2885b0f6, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x92df6b93, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xba2433f8, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xc520350e, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x7b72b31c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x692f77d1, "unregister_framebuffer" },
	{ 0xc43dbbff, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x82a2e4c1, "drm_framebuffer_cleanup" },
	{ 0x2a17ecd3, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x180570ea, "drm_panel_get_modes" },
	{ 0x82d7959, "drm_gem_vmap_unlocked" },
	{ 0xe4ec555b, "try_module_get" },
	{ 0x1fdcb894, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x75f98ee7, "drm_bridge_add" },
	{ 0xae968400, "drm_bridge_chain_mode_valid" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x9d3787e6, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x5364812e, "devm_kmalloc" },
	{ 0x876ff434, "drm_client_rotation" },
	{ 0x8fd5ad57, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xf84bf0e8, "drm_framebuffer_init" },
	{ 0x8749116c, "drm_mode_validate_driver" },
	{ 0x73324e29, "drm_atomic_add_affected_planes" },
	{ 0x4ad11b6, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4f1ce3b5, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb98df99, "drm_mode_probed_add" },
	{ 0x388aff82, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb8fdf45c, "drm_client_dev_resume" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x1b90b4f9, "drm_gem_vunmap_unlocked" },
	{ 0x95b67d2e, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x7bcc2a91, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x3f7a76fb, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x33fa6deb, "drm_mode_object_get" },
	{ 0x9f35ff5c, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xd1d558f3, "drm_driver_legacy_fb_format" },
	{ 0x46aa98f9, "drm_crtc_cleanup" },
	{ 0xa8ad4ac, "drm_connector_list_iter_begin" },
	{ 0x8d07f360, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc77242b3, "framebuffer_alloc" },
	{ 0x2bc9ec76, "drm_encoder_cleanup" },
	{ 0x21a97a3c, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xa038a66, "drm_client_modeset_probe" },
	{ 0x370820be, "drm_warn_on_modeset_not_all_locked" },
	{ 0x38945341, "drm_client_dev_suspend" },
	{ 0xfbd74004, "drm_plane_get_damage_clips" },
	{ 0x2ade827a, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x4bc4618b, "drm_add_modes_noedid" },
	{ 0x807e9e0d, "drm_bridge_remove" },
	{ 0x75ae4b6b, "drm_mode_object_put" },
	{ 0xa19b3ff9, "dev_driver_string" },
	{ 0xbd9a9ae9, "drm_crtc_vblank_get" },
	{ 0xb489c156, "drm_gem_object_lookup" },
	{ 0xcbfd3a21, "drm_crtc_send_vblank_event" },
	{ 0x38044bd1, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xd8c4cf57, "drm_atomic_normalize_zpos" },
	{ 0x7f4cfd3c, "drm_edid_connector_update" },
	{ 0xad1a234f, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdfb07f5, "__drmm_add_action_or_reset" },
	{ 0xe11fdb34, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x5b15079e, "drm_connector_list_iter_end" },
	{ 0xb5a62efb, "drm_atomic_set_crtc_for_plane" },
	{ 0xd1d8c7fd, "drm_client_modeset_dpms" },
	{ 0x2a3e49a, "drm_mode_prune_invalid" },
	{ 0x71211738, "drm_client_dev_hotplug" },
	{ 0x6856a89c, "_dev_info" },
	{ 0x705ceaf4, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe8650a36, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x664759ab, "module_put" },
	{ 0x5c5c6a6e, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xbc5cf334, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x78a7417b, "drm_client_init" },
	{ 0xc158acf9, "drm_crtc_wait_one_vblank" },
	{ 0x1bfd156b, "drm_crtc_next_vblank_start" },
	{ 0xa2b25050, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc5cdee2d, "drm_driver_color_mode_format" },
	{ 0x1858f12b, "drm_modeset_lock" },
	{ 0xac998505, "drm_client_modeset_commit_locked" },
	{ 0x541850dc, "drm_modeset_unlock" },
	{ 0x72c67071, "drm_panel_disable" },
	{ 0xcbc8908a, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1ac1dfa7, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd4ad92e0, "devm_kfree" },
	{ 0xd9643b20, "_dev_err" },
	{ 0xda93d050, "drm_writeback_cleanup_job" },
	{ 0xa2b9e6b6, "drm_modeset_lock_all_ctx" },
	{ 0x52c7d43f, "i2c_unregister_device" },
	{ 0xc8f0f865, "drm_atomic_set_fb_for_plane" },
	{ 0xf676054b, "__drm_universal_plane_alloc" },
	{ 0xd31a0877, "drm_edid_connector_add_modes" },
	{ 0xe2cd98c9, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xdbbdd932, "__devres_alloc_node" },
	{ 0xe3e95082, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xdfebbd7f, "drm_crtc_commit_wait" },
	{ 0x74e11382, "drm_dev_has_vblank" },
	{ 0x4d54566a, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xacd27a60, "__drm_atomic_helper_disable_plane" },
	{ 0x3d262918, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4804f927, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa47035b0, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x6733a88b, "drm_analog_tv_mode" },
	{ 0xfb678495, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x9abad368, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd1d29aa8, "drm_crtc_vblank_put" },
	{ 0x85056c91, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x527541b8, "__drm_dev_dbg" },
	{ 0xe66621e9, "drm_plane_get_damage_clips_count" },
	{ 0x82d27175, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xc616c715, "drm_atomic_state_alloc" },
	{ 0x376ccb8d, "drm_client_modeset_commit" },
	{ 0xc03435d1, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x97a40720, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb47aefd, "drm_connector_update_edid_property" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x8022f989, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xce6f13ed, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x758192c9, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xcc13e795, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x69412798, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xb97788f3, "drm_connector_cleanup" },
	{ 0xfd9efbd9, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc84a4a27, "drm_universal_plane_init" },
	{ 0x153435ed, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xc52913d2, "drm_connector_list_iter_next" },
	{ 0xc191cd0, "drm_modeset_acquire_fini" },
	{ 0xc3d2159a, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x2df4c011, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe2ac166b, "param_ops_bool" },
	{ 0x2e1b12e4, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97d17999, "drm_modeset_backoff" },
	{ 0xb6b258c3, "drm_panel_prepare" },
	{ 0x49d040e3, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x4c1badcc, "drm_atomic_get_plane_state" },
	{ 0xb577d964, "drm_atomic_bridge_chain_check" },
	{ 0x7a40c6b1, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb46fe276, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x172d0f7c, "drm_property_blob_put" },
	{ 0x834679bd, "drm_mode_destroy" },
	{ 0x953064e, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xc983ff1d, "drm_set_preferred_mode" },
	{ 0xbd15f74e, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x4797b8cf, "drm_atomic_state_clear" },
	{ 0xf45d2570, "drm_mode_config_reset" },
	{ 0xc871940b, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd50a4a34, "drm_modeset_drop_locks" },
	{ 0x26de4170, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9d0dc414, "drm_atomic_bridge_chain_disable" },
	{ 0xf6095e3e, "drm_mode_create_from_cmdline_mode" },
	{ 0xce1ee05e, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x1b9924d8, "param_ops_int" },
	{ 0x85465624, "drm_atomic_nonblocking_commit" },
	{ 0xb2333094, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x3fc8f1c4, "drm_master_internal_release" },
	{ 0x4fae6fb6, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xe1715b9, "drm_panel_unprepare" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x7b3ecb50, "drm_atomic_add_encoder_bridges" },
	{ 0x63e81145, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6744ba07, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "1C891DA4ADFD2BFD95AD6B6");
MODULE_INFO(rhelversion, "9.99");
