#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xdb634d47, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xa14b827b, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x8796ae6f, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x89b605f5, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xdc854d81, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xcdfb65fa, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x52c55aaa, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x757d10f7, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xb089fbba, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x4159c970, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x6b4766a3, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x627d12ce, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x0a873690, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xe93fca63, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x99d7f6de, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x44e80af4, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x78116a9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe4271f06, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xafe69c, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4a528230, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6d0ee44c, "crypto_ahash_final" },
	{ 0xb11b0769, "crypto_ahash_digest" },
	{ 0x88bbf96e, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xc9e3c4ff, "skb_prepare_seq_read" },
	{ 0x216f13b0, "skb_seq_read" },
	{ 0x8c02c610, "skb_abort_seq_read" },
	{ 0x9c0588b, "iscsi_conn_failure" },
	{ 0xf4470c21, "iscsi_conn_setup" },
	{ 0x5b34f5a6, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd99a5343, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8dae4078, "iscsi_itt_to_ctask" },
	{ 0x324226c, "iscsi_get_task" },
	{ 0x7f6d7a01, "iscsi_update_cmdsn" },
	{ 0xbb45d7af, "iscsi_requeue_task" },
	{ 0xc3e9d68b, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x678c4900, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xaf82383e, "iscsi_complete_pdu" },
	{ 0x507fe7f5, "iscsi_verify_itt" },
	{ 0x785a7798, "__iscsi_complete_pdu" },
	{ 0x1b9924d8, "param_ops_int" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "9.99");
