#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfsd_open_local_fh, "_gpl", "");

SYMBOL_CRC(nfsd_open_local_fh, 0xee3a7501, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87eb84c3, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x65457ab1, "svc_generic_rpcbind_set" },
	{ 0x2f552cfc, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0x1a487d58, "seq_path" },
	{ 0x3ad72f7, "trace_print_array_seq" },
	{ 0x1f1ab9bf, "vfs_fsync_range" },
	{ 0x6dfdd42e, "shrinker_alloc" },
	{ 0xe4ec555b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf98c5d72, "vfs_listxattr" },
	{ 0x3588eece, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x8f069eac, "opens_in_grace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1526b3b, "notify_change" },
	{ 0xc56866ff, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3761d215, "idr_find" },
	{ 0xb7784f5b, "simple_dir_inode_operations" },
	{ 0x8f518bb7, "vfs_getattr" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x5915d38d, "xdr_write_pages" },
	{ 0xd5538c4, "rpc_shutdown_client" },
	{ 0xdef42048, "vfs_rename" },
	{ 0x6bcafb0d, "svc_bind" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x9ecf09bb, "proc_create" },
	{ 0xad0ec612, "lookup_one_len" },
	{ 0x37d2c57f, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7bbcdcd3, "__break_lease" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xf4b924fc, "new_inode" },
	{ 0xe3eab0ac, "svc_recv" },
	{ 0x2e690500, "crypto_shash_tfm_digest" },
	{ 0xce03c3f2, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x722d63ca, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5583b4a, "cache_create_net" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x9b440a48, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x3bd466e5, "nlmsvc_unlock_all_by_sb" },
	{ 0x7690e377, "unregister_filesystem" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x7b524c91, "locks_owner_has_blockers" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xa41db66e, "iterate_dir" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x9abd3ade, "read_bytes_from_xdr_buf" },
	{ 0x82f11282, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2482daf9, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x6081f2a6, "lockd_down" },
	{ 0xeaf8276b, "get_tree_keyed" },
	{ 0xc90e508c, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x56f73339, "lockd_up" },
	{ 0xa6d9aae0, "abort_creds" },
	{ 0x8ed08552, "simple_fill_super" },
	{ 0x5bc75277, "security_file_post_open" },
	{ 0x67ea7960, "svc_reserve" },
	{ 0xeea5f193, "sunrpc_cache_lookup_rcu" },
	{ 0x98f6eb07, "fsnotify" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x33b83022, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x5bcb62df, "cache_seq_next_rcu" },
	{ 0x19ffb8ed, "current_time" },
	{ 0xfa1f4d24, "genlmsg_put" },
	{ 0x8609f745, "fsnotify_put_mark" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8672f1bb, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x79539236, "kthread_exit" },
	{ 0x6f115a78, "ihold" },
	{ 0x4366b524, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf4b6a4ac, "simple_transaction_get" },
	{ 0x31f641e5, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x15742ec2, "svc_max_payload" },
	{ 0x9dc58e20, "vfs_test_lock" },
	{ 0xc4dfa2b, "svc_exit_thread" },
	{ 0xd9a12564, "iput" },
	{ 0x455f7102, "seq_lseek" },
	{ 0xa30ef248, "follow_down" },
	{ 0x347655e5, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x5fa6b6a8, "rpc_wake_up_queued_task" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x50a14e59, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbe2bfe82, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1844fb72, "security_inode_setsecctx" },
	{ 0xe0e477a1, "__xdr_commit_encode" },
	{ 0x67858d5d, "kthread_data" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x73a608af, "register_filesystem" },
	{ 0x44f6ecf6, "list_lru_count_node" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x260306fb, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x287fa2ff, "sync_inode_metadata" },
	{ 0x7acb366e, "simple_transaction_set" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x49672828, "node_states" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xdecba246, "path_put" },
	{ 0x7614be8e, "rpc_sleep_on" },
	{ 0xfc080bba, "svc_encode_result_payload" },
	{ 0x8ae57f3, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x269f120c, "rpc_put_sb_net" },
	{ 0x8681c6ed, "__put_cred" },
	{ 0x54c9f50a, "register_pernet_subsys" },
	{ 0xf04ce3d0, "locks_in_grace" },
	{ 0xefdec6fd, "wake_up_process" },
	{ 0x8de60e0f, "vfs_mkdir" },
	{ 0xc475b371, "shrinker_free" },
	{ 0x76b9b9e6, "svc_proc_register" },
	{ 0xc1dc1c88, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xda3ab329, "vfs_statfs" },
	{ 0xe10c2a88, "crypto_destroy_tfm" },
	{ 0xac9b3419, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0x6ff77ffa, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa217939f, "cache_purge" },
	{ 0xae1cbded, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x476d5882, "vfs_iter_read" },
	{ 0x89ca0b68, "vfs_fallocate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe96f6058, "__fput_sync" },
	{ 0xf056017, "svcauth_map_clnt_to_svc_cred_local" },
	{ 0xa614ca31, "nfs_to" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaeee7c5, "make_kuid" },
	{ 0x2d65a494, "locks_release_private" },
	{ 0x4950c461, "mnt_want_write" },
	{ 0xb7ae5c19, "simple_dir_operations" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd5674b3f, "cache_seq_stop_rcu" },
	{ 0x57806198, "__alloc_skb" },
	{ 0xb55a1cb9, "shrinker_register" },
	{ 0x746dfb83, "locks_init_lock" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x4ddc8e3f, "rpc_destroy_pipe_data" },
	{ 0x5e264856, "cache_seq_start_rcu" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x587064ac, "get_inode_acl" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x2bdbc156, "init_task" },
	{ 0xc9efcace, "xdr_init_encode_pages" },
	{ 0x27f59358, "rpc_pipe_generic_upcall" },
	{ 0x664759ab, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x33373a0b, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9d79255a, "svc_xprt_put" },
	{ 0x3c58d774, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xe3047ae7, "security_inode_getsecctx" },
	{ 0xa580c07c, "cache_unregister_net" },
	{ 0x96ac278c, "nfs_uuid_invalidate_clients" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x89e86943, "sunrpc_get_pool_mode" },
	{ 0x633db5c8, "seq_escape_mem" },
	{ 0x768824a5, "prepare_creds" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb8c4054, "lease_modify" },
	{ 0xbba551d9, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x8f8c7eb1, "vfs_get_link" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe405d724, "perf_trace_run_bpf_submit" },
	{ 0x9109b576, "svc_rqst_replace_page" },
	{ 0x946de9f2, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x977d29e7, "rpc_machine_cred" },
	{ 0x963e1709, "nfs_stream_encode_acl" },
	{ 0xd2510a63, "up_write" },
	{ 0xa6c6fa6f, "exportfs_encode_fh" },
	{ 0x66a609c1, "kernel_setlease" },
	{ 0xdc58a6f1, "simple_symlink_inode_operations" },
	{ 0x5b99e305, "svc_set_num_threads" },
	{ 0x6a17fec6, "svc_rpcb_cleanup" },
	{ 0x16daf4a, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xd45f7329, "__splice_from_pipe" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0xe8fb8c16, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x4b0635c6, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x9840c1d0, "locks_init_lease" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xfde87c6c, "bpf_trace_run5" },
	{ 0x43c20104, "rpc_d_lookup_sb" },
	{ 0x90ad4e8c, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1a2ac163, "svc_create_pooled" },
	{ 0x7dd4238, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2efa6072, "xdr_reserve_space_vec" },
	{ 0x61af8558, "lock_rename" },
	{ 0x15d86205, "kmem_cache_free" },
	{ 0xa9f07da9, "__vfs_setxattr_locked" },
	{ 0x4a8e4830, "svc_fill_symlink_pathname" },
	{ 0x95bfe643, "posix_acl_alloc" },
	{ 0x85abc85f, "strncmp" },
	{ 0x23ec4c06, "xdr_stream_subsegment" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xac950fc7, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0xcba2d708, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2ce37e65, "vfs_getxattr" },
	{ 0xc18e4170, "iov_iter_kvec" },
	{ 0x9c9ec3a8, "rw_verify_area" },
	{ 0x286b3815, "locks_alloc_lease" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xad4fc4b3, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xdf92897d, "simple_transaction_read" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x8f17adc, "__audit_inode_child" },
	{ 0x4738fd79, "xdr_restrict_buflen" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8af2063, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xaaceab04, "set_posix_acl" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x154c750, "rpc_create" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xe44dde4d, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x92fd507d, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x3743281a, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x870e11c0, "svcauth_unix_purge" },
	{ 0x96ee288e, "default_llseek" },
	{ 0x5028e3c4, "kill_litter_super" },
	{ 0xb179e1a5, "locks_alloc_lock" },
	{ 0x438c89f, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x25687c8, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x61a3c1d, "rpc_queue_upcall" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x88601e20, "kern_path" },
	{ 0xce3bff59, "vfs_lock_file" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf6b93a68, "cache_check" },
	{ 0xc1958e0, "vfs_iter_write" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xfa7504e2, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xbc3f637d, "__list_lru_init" },
	{ 0xd9ca66be, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xecc7a9e, "nfs_uuid_is_local" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xf33f21f0, "xdr_buf_subsegment" },
	{ 0x5106b7e0, "svc_generic_init_request" },
	{ 0xfd741cd7, "svc_xprt_names" },
	{ 0x71bad7ad, "rpc_get_sb_net" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xfe435edb, "make_kgid" },
	{ 0xbe1df5df, "xattr_supports_user_prefix" },
	{ 0x89a360f7, "splice_direct_to_actor" },
	{ 0x16cd6986, "svc_xprt_create_from_sa" },
	{ 0x334d39bf, "__kmem_cache_create_args" },
	{ 0xe955d683, "gss_pseudoflavor_to_service" },
	{ 0x2367f2ea, "fsnotify_put_group" },
	{ 0x9e62ac4d, "dentry_create" },
	{ 0xbd07a66, "nfs_stream_decode_acl" },
	{ 0x9713e8ec, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf1b3b137, "unlock_rename" },
	{ 0x6b7740a5, "vfs_rmdir" },
	{ 0x103bafd6, "down_read" },
	{ 0x547cd7d1, "svc_set_client" },
	{ 0x97a267b8, "rpc_wake_up_next" },
	{ 0x60b6cabd, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x760ae468, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0xd6d5c926, "mnt_drop_write" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3daccf6, "__vfs_removexattr_locked" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd98ffe47, "bpf_trace_run3" },
	{ 0x4e472d0e, "override_creds" },
	{ 0xe07cdeee, "seq_read" },
	{ 0xf019a933, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2f3abd8c, "rpc_mkpipe_dentry" },
	{ 0x8c602a9c, "path_get" },
	{ 0x24c0631c, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc9131cdf, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0x93f8b84e, "trace_event_buffer_reserve" },
	{ 0x867b1a37, "d_add" },
	{ 0xa2473d5c, "svc_seq_show" },
	{ 0xd7664a76, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xe2ac166b, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x9f9e5e5f, "vfs_mknod" },
	{ 0xd4547de3, "cache_register_net" },
	{ 0x7937b002, "fsnotify_find_mark" },
	{ 0xbc4d6db4, "lookup_positive_unlocked" },
	{ 0x50c5564d, "init_user_ns" },
	{ 0x132d6ce, "rpc_uaddr2sockaddr" },
	{ 0xdcf5f326, "nlmsvc_ops" },
	{ 0x2891e389, "rpc_restart_call" },
	{ 0xd4af8c36, "dentry_open" },
	{ 0xa7a39296, "filp_close" },
	{ 0xc9aeac2e, "svc_xprt_destroy_all" },
	{ 0x36fbc5e7, "inc_nlink" },
	{ 0x92172ce, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x970ef05d, "remove_proc_entry" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1b63182b, "list_lru_walk_one" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfdfc2ddf, "svc_find_xprt" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x201e9c59, "svc_proc_unregister" },
	{ 0x19270f64, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xb67a58bf, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2f112290, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x16537991, "exportfs_decode_fh_raw" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xc7fa5183, "vfs_clone_file_range" },
	{ 0xdd414e85, "svc_addsock" },
	{ 0xc34a7a68, "lookup_one_len_unlocked" },
	{ 0x11d66566, "gss_mech_get" },
	{ 0xddb8a1bb, "svc_fill_write_vector" },
	{ 0x3c582fe9, "vfs_llseek" },
	{ 0x4d6c4376, "simple_recursive_removal" },
	{ 0x93b744fe, "locks_free_lease" },
	{ 0x251655bb, "__put_user_ns" },
	{ 0x215486b, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5b3bee27, "sunrpc_cache_pipe_upcall" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x86fbeac3, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6104149c, "svc_print_addr" },
	{ 0x8ff15a60, "vfs_link" },
	{ 0xeebd7656, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x9cfaad2b, "seq_open" },
	{ 0xde5b050f, "dget_parent" },
	{ 0x6fcf5a82, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x77eac03a, "from_kuid_munged" },
	{ 0xffd878af, "prepare_kernel_cred" },
	{ 0xc42c7d38, "write_bytes_to_xdr_buf" },
	{ 0x43767821, "rpc_call_async" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x79060102, "cache_destroy_net" },
	{ 0x18cc9902, "locks_delete_block" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xbb425cb2, "bpf_trace_run7" },
	{ 0xa4adc736, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0xad388a6d, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbf49aafa, "percpu_counter_set" },
	{ 0x85f75f8f, "setattr_should_drop_sgid" },
	{ 0xc0d366a0, "mntget" },
	{ 0xc544d806, "single_open" },
	{ 0x239d61c7, "lease_get_mtime" },
	{ 0x6ade8da8, "__mnt_is_readonly" },
	{ 0x16e15fdf, "crypto_alloc_shash" },
	{ 0x14c6ddb8, "svc_xprt_close" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0xc00e6b3b, "genl_register_family" },
	{ 0x5ac4da5, "vcalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfd8540ed, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xfb028d63, "svc_xprt_create" },
	{ 0xed9832d2, "sunrpc_cache_update" },
	{ 0xc6525ee4, "svc_auth_flavor" },
	{ 0x733c861d, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf7fcbf3d, "locks_free_lock" },
	{ 0xc63d2363, "fsnotify_add_mark" },
	{ 0x4b07d4cc, "set_groups" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x4f023911, "auth_domain_put" },
	{ 0x64b5bc49, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9a69f671, "d_path" },
	{ 0x772b3ff5, "svcauth_gss_flavor" },
	{ 0x503b6cb5, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd,grace,nfs_localio,nfs_acl,auth_rpcgss");


MODULE_INFO(srcversion, "86A9C41A0D1E4067DADB4E3");
MODULE_INFO(rhelversion, "9.99");
