#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x43adb9f4, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x912543e5, "_gpl");
SYMBOL_CRC(tls_get_record, 0x81218a0e, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xb439a18d, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xb0d70f3e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9825a83, "sk_msg_free" },
	{ 0xa5754a55, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40c63bb4, "tcp_read_sock" },
	{ 0xc56866ff, "bpf_trace_run4" },
	{ 0xf5ec75b0, "skb_copy_bits" },
	{ 0x2ef6a0f9, "sk_page_frag_refill" },
	{ 0xda85d6bb, "skb_put" },
	{ 0x3a02b1a2, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc8540933, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b440a48, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa20dc96c, "sk_psock_msg_verdict" },
	{ 0x7f6fab18, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x82f11282, "__trace_trigger_soft_disabled" },
	{ 0xc90e508c, "trace_event_printf" },
	{ 0x8be4996c, "iov_iter_get_pages2" },
	{ 0x57e80854, "___pskb_trim" },
	{ 0x8672f1bb, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x8abfe827, "clean_acked_data_enable" },
	{ 0x6e3d7948, "skb_splice_bits" },
	{ 0x57b7bd82, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xd8fe3bf2, "crypto_aead_setauthsize" },
	{ 0x5af66dd3, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa29035d9, "sk_stream_error" },
	{ 0xd993daae, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe9d803d9, "sk_msg_memcopy_from_iter" },
	{ 0xe120a226, "sk_error_report" },
	{ 0x54c9f50a, "register_pernet_subsys" },
	{ 0xb555d8ef, "put_cmsg" },
	{ 0x2160d2ac, "__sk_flush_backlog" },
	{ 0xc1dc1c88, "trace_event_buffer_commit" },
	{ 0xe10c2a88, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xae14564f, "sk_psock_tls_strp_read" },
	{ 0x74103133, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57806198, "__alloc_skb" },
	{ 0x50c07057, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xbff729e6, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb891b096, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f5aab2f, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe405d724, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1d6ea960, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xcf041819, "crypto_aead_encrypt" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0xfde87c6c, "bpf_trace_run5" },
	{ 0x3a0da817, "sk_free" },
	{ 0x1b96af4e, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1038cc36, "__sk_mem_reclaim" },
	{ 0x5ea51789, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0xcba2d708, "trace_event_reg" },
	{ 0xc18e4170, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb2c5bf20, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x5ee08394, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x66aa8181, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x8ae854e2, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x3743281a, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x25687c8, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x913181f0, "sock_efree" },
	{ 0x5c8a7a16, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf6c00f8f, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xec759c55, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x58ec66aa, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x71812a22, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x6aef1412, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x82f24f5e, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd98ffe47, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x5f0af918, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2704de89, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x93f8b84e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd6aa7679, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x70c7ebcf, "__folio_put" },
	{ 0x970ef05d, "remove_proc_entry" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb2d43193, "seq_printf" },
	{ 0x102fbe32, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x121bb190, "skb_clone" },
	{ 0xf4120dab, "dst_release" },
	{ 0x68f4618e, "_copy_from_iter" },
	{ 0xc8934e12, "skb_copy_header" },
	{ 0xda4cc99e, "sk_msg_trim" },
	{ 0x10d6c709, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x58cc740b, "netdev_sk_get_lowest_dev" },
	{ 0x89591c68, "sk_msg_alloc" },
	{ 0x5d786a66, "_copy_from_iter_nocache" },
	{ 0xb665c76b, "tcp_rate_check_app_limited" },
	{ 0xaca5ef82, "tcp_poll" },
	{ 0x838a4e3a, "iov_iter_revert" },
	{ 0x1262a8f6, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x693379d0, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x8d529dd, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0xa1f2a9e5, "tcp_read_done" },
	{ 0xf0cde4ef, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "06C6F4260D0ED62336B5823");
MODULE_INFO(rhelversion, "9.99");
