#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4cbf769, "virtio_transport_purge_skbs" },
	{ 0xb51dc5b9, "virtio_transport_notify_recv_init" },
	{ 0x66474acf, "virtio_transport_release" },
	{ 0x2f4ae809, "vmemmap" },
	{ 0x8149156b, "virtqueue_enable_cb" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef84d7ed, "virtio_transport_consume_skb_sent" },
	{ 0xda85d6bb, "skb_put" },
	{ 0x681a7d6c, "vsock_for_each_connected_socket" },
	{ 0xfb3f8fd4, "virtqueue_detach_unused_buf" },
	{ 0x2b4d29ee, "virtio_transport_connect" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x51544db3, "virtio_transport_notify_set_rcvlowat" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2b66d6fd, "virtio_transport_stream_has_data" },
	{ 0x73a7cac1, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x454094a3, "virtio_transport_dgram_bind" },
	{ 0xe120a226, "sk_error_report" },
	{ 0xbe4a6d89, "virtio_transport_notify_recv_pre_block" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x956e336, "virtio_transport_dgram_enqueue" },
	{ 0x677b4615, "virtio_transport_shutdown" },
	{ 0xd705069d, "virtio_transport_notify_send_post_enqueue" },
	{ 0x2351a320, "virtio_transport_dgram_dequeue" },
	{ 0x4c69acf6, "unregister_virtio_driver" },
	{ 0x57806198, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xda56d023, "virtqueue_get_vring_size" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4d58dc37, "virtio_transport_notify_send_init" },
	{ 0x14cab177, "sk_skb_reason_drop" },
	{ 0xe803bc6c, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x45275466, "virtio_transport_seqpacket_dequeue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xad13e2aa, "virtio_transport_seqpacket_enqueue" },
	{ 0x7a024db2, "virtio_transport_seqpacket_has_data" },
	{ 0x5c7fd92e, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x8705ae10, "virtio_transport_stream_enqueue" },
	{ 0x8bb0b025, "virtqueue_disable_cb" },
	{ 0xc7f814f4, "virtio_transport_stream_dequeue" },
	{ 0x7561ff57, "vsock_core_unregister" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x90af78f4, "vsock_core_register" },
	{ 0x762d3548, "virtqueue_add_sgs" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3c32469a, "virtio_reset_device" },
	{ 0x41aff618, "virtio_transport_notify_poll_out" },
	{ 0x5d3666d8, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x9b95946c, "__register_virtio_driver" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x6c440ff9, "virtqueue_get_buf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe633b6d6, "virtio_transport_deliver_tap_pkt" },
	{ 0x7aed5856, "virtio_transport_read_skb" },
	{ 0xd703fe2a, "virtqueue_kick" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd6e9d6e9, "virtio_transport_stream_is_active" },
	{ 0xb14b2402, "virtqueue_add_inbuf" },
	{ 0x49f6103, "virtio_transport_do_socket_init" },
	{ 0x253698f1, "__kmalloc_cache_noprof" },
	{ 0x23f654a, "virtio_transport_notify_poll_in" },
	{ 0xad65ce12, "virtio_check_driver_offered_feature" },
	{ 0x7356328f, "virtio_transport_unsent_bytes" },
	{ 0x2637c966, "virtio_transport_stream_has_space" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xed39ed53, "virtio_transport_notify_send_pre_block" },
	{ 0x9728ba37, "virtio_transport_notify_buffer_size" },
	{ 0x2e19c8c3, "virtio_transport_destruct" },
	{ 0x9357fced, "virtio_transport_recv_pkt" },
	{ 0xff94922a, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5870014, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vsock");

MODULE_ALIAS("virtio:d00000013v*");

MODULE_INFO(srcversion, "2FB4091555A5734CF8AB3B8");
MODULE_INFO(rhelversion, "9.99");
